Jump to content

Ubuntu


Luke

Recommended Posts

It's fair enough. I don't mean to be putting extra pressure on you. It's fine, I'm getting by as I have forced the install ignoring dependencies. It's going to break on next autoremove, but it's not preventing it from running ATM.

Link to comment
Share on other sites

SteveAdams86

im just writing to say iv been having this libmediainfo0 issue on ubuntu 15.10 too. im in the process of trying to set up emby to use with my kodi library to sync my android tv, phone, tablet, firestick & laptop. thanks for trying to get it working for us and would you mind posting a link here to another thread when you have made one?

Link to comment
Share on other sites

hurricanehrndz

Ubuntu and Debian package updates are complete. Here are the summary of changes made:

 

  • We are now building and publishing a stripped version of imagemagick with a custom package name that should be non conflicting with the standard imagemagick package.
  • Package is named libembymagickwand.
  • Since emby can work without imagemagick we have made libembymagickwand a recommend rather than a hard dependency. (Performance will degrade over WAN)
  • We have also made libmediainfo a recommended dependency, additionally we have made this recommend to be either libmediainfo0 or libmediainfo0v5 (No Media Info)
  • We have upgraded the mono version to the latest stable being distributed by the mono project.
  • Ubuntu 15.10 is now supported.

Issues:

  • libembymagickwand for debian 7 still needs finishing touches.
  • front page instructions still need updating.

Currently OBS is busy building all our updates. You can check the progress here.

 

For download instructions please see here for now.

Edited by hurricanehrndz
Link to comment
Share on other sites

SteveAdams86

Great! Many thanks for the update! With any il get this working tomorrow after work. It will be my first time using emby and I look forwards to using it, it should *hopefully* make my life much simpler than managing about 5 different device kodi libraries!

Link to comment
Share on other sites

hurricanehrndz

Its ready for Ubuntu_15.04 x64. 

 

for install I would try this

 

apt-get install libembymagickwand emby-server libmediainfo0v5

 

 

See if that works, if not you might need to add libsqlite-dev or something a long the lines of that check the front page. I'm certain though that the first command should work. 

Edited by hurricanehrndz
Link to comment
Share on other sites

darkblade

Hey,

I managed to install emby-server on ubuntu 16.10, however I did run into some issues

This line did not work for me:

apt-get install libembymagickwand emby-server libmediainfo0v5

Which results in the error: Unable to locate package libembymagickwand

Now it did say that it was for ubuntu 16.04 but I assumed it was a typo, but I guess it was not.

I did manage to install it with just:

apt-get install emby-server

but then it would just crash on startup, but I fixed that by installing libsqlite3-dev.

I still have a major issue though: I cant seem to add any media. The page says that I have to ensure that emby has access. Ive tried making a directory owned by the emby user and group and ive tried chmod 777 but nothing worked. The logs do suggest that there is something else wrong with this bit:

2015-12-05 09:40:31.3232 Error HttpServer: Error processing request for /emby/Library/VirtualFolders/Paths?refreshLibrary=true&path=%2Fhome%2Femby%2Fmovies&name=Movies
    *** Error Report ***
    Version: 3.0.5781.4
    Command line: /usr/lib/emby-server/bin/MediaBrowser.Server.Mono.exe -programdata /var/lib/emby-server -restartpath /usr/lib/emby-server/restart.sh
    Operating system: Unix 4.2.0.19
    Processor count: 4
    64-Bit OS: True
    64-Bit Process: True
    Program data path: /var/lib/emby-server
    Mono: 4.2.1 (Stable 4.2.1.102/6dd2d0d Sun Nov 29 22:27:02 UTC 2015)
    Application Path: /usr/lib/emby-server/bin/MediaBrowser.Server.Mono.exe
    Value cannot be null.
    Parameter name: path
    ServiceStack.HttpError
    No Stack Trace Available

The full log can be found here:

http://pastebin.com/Pr52Gegm

I'm wondering if I'm still missing a package or something, I tried to add libmediainfo0v5 but it was already installed with the emby-server package.

Thanks.
 

Link to comment
Share on other sites

hurricanehrndz

Hey,

 

I managed to install emby-server on ubuntu 16.10, however I did run into some issues

 

This line did not work for me:

 

apt-get install libembymagickwand emby-server libmediainfo0v5

 

Which results in the error: Unable to locate package libembymagickwand

 

Now it did say that it was for ubuntu 16.04 but I assumed it was a typo, but I guess it was not.

 

I did manage to install it with just:

 

apt-get install emby-server

 

but then it would just crash on startup, but I fixed that by installing libsqlite3-dev.

 

I still have a major issue though: I cant seem to add any media. The page says that I have to ensure that emby has access. Ive tried making a directory owned by the emby user and group and ive tried chmod 777 but nothing worked. The logs do suggest that there is something else wrong with this bit:

 

2015-12-05 09:40:31.3232 Error HttpServer: Error processing request for /emby/Library/VirtualFolders/Paths?refreshLibrary=true&path=%2Fhome%2Femby%2Fmovies&name=Movies

    *** Error Report ***

    Version: 3.0.5781.4

    Command line: /usr/lib/emby-server/bin/MediaBrowser.Server.Mono.exe -programdata /var/lib/emby-server -restartpath /usr/lib/emby-server/restart.sh

    Operating system: Unix 4.2.0.19

    Processor count: 4

    64-Bit OS: True

    64-Bit Process: True

    Program data path: /var/lib/emby-server

    Mono: 4.2.1 (Stable 4.2.1.102/6dd2d0d Sun Nov 29 22:27:02 UTC 2015)

    Application Path: /usr/lib/emby-server/bin/MediaBrowser.Server.Mono.exe

    Value cannot be null.

    Parameter name: path

    ServiceStack.HttpError

    No Stack Trace Available

 

The full log can be found here:

 

http://pastebin.com/Pr52Gegm

 

I'm wondering if I'm still missing a package or something, I tried to add libmediainfo0v5 but it was already installed with the emby-server package.

 

Thanks.

 

I'm guess you have typos, because the most current ubuntu release we support is 15.10, please ensure you followed the correct instructions from the obs page for your appropriate distro. Please run apt-cache policy and print the results here. 

Link to comment
Share on other sites

I'm guess you have typos, because the most current ubuntu release we support is 15.10, please ensure you followed the correct instructions from the obs page for your appropriate distro. Please run apt-cache policy and print the results here. 

 

 

I also cannot add media folders under Ubuntu 15.10.  I have tried granting full access and changing users but continue to get "There was an error adding the media path. Please ensure the path is valid and the Emby Server process has access to that location."  In my case they are nfs mounts, but I am using them successfully with Plex.  And, yes, they are mounted rw.

Link to comment
Share on other sites

I also cannot add media folders under Ubuntu 15.10.  I have tried granting full access and changing users but continue to get "There was an error adding the media path. Please ensure the path is valid and the Emby Server process has access to that location."  In my case they are nfs mounts, but I am using them successfully with Plex.  And, yes, they are mounted rw.

 

Same problem here with cifs in /etc/fstab

Edited by lpr
Link to comment
Share on other sites

Thanks for reporting, it might have something to do with nfs. I will test nfs and report back. Were you able to successfully use nfs prior? 

 

 

This is my first Emby install on Linux..  I use it on Windows 10 normally.

 

More details...  I'm using a Synology NAS as the server and mounting the shares as NFS from fstab.  It's a clean Ubuntu install with Kodi, MythTV and Plex installed, all working with the nfs shares.

Edited by rlw6534
Link to comment
Share on other sites

hurricanehrndz

Maybe, I will try and do more testing and read into the logs a lot more. I had no issues with the test media I tried, so I find it peculiar, never the less I will try and get to i.

Link to comment
Share on other sites

Thanks for the support!  FYI, I added the 15.10 repo and installed mono-runtime, mediainfo, libsqlite3-dev and emby-server in that order, one at a time.  No errors on any of them.

Link to comment
Share on other sites

hurricanehrndz

Don't need libsqlite3-dev anymore. "sudo apt-get insall emby-server" should take care of everything now. Thank you though. I fixed the issue with libsqlite just moments ago. 

Link to comment
Share on other sites

darkblade

Yeah sorry I ment ubuntu 15.10.

 

There are no symlinks involved.

Yes my problem is with local files.

And yes I did follow the instructions provided by obs which were (to make sure were on the same page)

wget http://download.opensuse.org/repositories/home:emby/xUbuntu_15.10/Release.keysudo apt-key add - < Release.key sudo sh -c "echo 'deb http://download.opensuse.org/repositories/home:/emby/xUbuntu_15.10/ /' >> /etc/apt/sources.list.d/emby-server.list"sudo apt-get updatesudo apt-get install emby-server

http://software.opensuse.org/download.html?project=home%3Aemby&package=emby-server

 

sudo apt-cache policy prints out the following:

 

Package files:
 100 /var/lib/dpkg/status
     release a=now
 500 http://download.owncloud.org/download/repositories/stable/Ubuntu_15.10/  Packages
     release o=obs://s2.owncloud.com/ce:8.2/Ubuntu_15.10,n=Ubuntu_15.10,l=ce:8.2,c=
     origin download.owncloud.org
 500 http://download.opensuse.org/repositories/home:/emby/xUbuntu_15.10/  Packages
     release o=obs://build.opensuse.org/home:emby/xUbuntu_15.10,n=xUbuntu_15.10,l=home:emby,c=
     origin download.opensuse.org
 500 http://security.ubuntu.com/ubuntu/ wily-security/universe Translation-en
 500 http://security.ubuntu.com/ubuntu/ wily-security/restricted Translation-en
 500 http://security.ubuntu.com/ubuntu/ wily-security/multiverse Translation-en
 500 http://security.ubuntu.com/ubuntu/ wily-security/main Translation-en
 500 http://security.ubuntu.com/ubuntu/ wily-security/multiverse i386 Packages
     release v=15.10,o=Ubuntu,a=wily-security,n=wily,l=Ubuntu,c=multiverse
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu/ wily-security/universe i386 Packages
     release v=15.10,o=Ubuntu,a=wily-security,n=wily,l=Ubuntu,c=universe
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu/ wily-security/restricted i386 Packages
     release v=15.10,o=Ubuntu,a=wily-security,n=wily,l=Ubuntu,c=restricted
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu/ wily-security/main i386 Packages
     release v=15.10,o=Ubuntu,a=wily-security,n=wily,l=Ubuntu,c=main
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu/ wily-security/multiverse amd64 Packages
     release v=15.10,o=Ubuntu,a=wily-security,n=wily,l=Ubuntu,c=multiverse
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu/ wily-security/universe amd64 Packages
     release v=15.10,o=Ubuntu,a=wily-security,n=wily,l=Ubuntu,c=universe
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu/ wily-security/restricted amd64 Packages
     release v=15.10,o=Ubuntu,a=wily-security,n=wily,l=Ubuntu,c=restricted
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu/ wily-security/main amd64 Packages
     release v=15.10,o=Ubuntu,a=wily-security,n=wily,l=Ubuntu,c=main
     origin security.ubuntu.com
 500 http://nl.archive.ubuntu.com/ubuntu/ wily-backports/universe Translation-en
 500 http://nl.archive.ubuntu.com/ubuntu/ wily-backports/restricted Translation-en
 500 http://nl.archive.ubuntu.com/ubuntu/ wily-backports/multiverse Translation-en
 500 http://nl.archive.ubuntu.com/ubuntu/ wily-backports/main Translation-en
 100 http://nl.archive.ubuntu.com/ubuntu/ wily-backports/multiverse i386 Packages
     release v=15.10,o=Ubuntu,a=wily-backports,n=wily,l=Ubuntu,c=multiverse
     origin nl.archive.ubuntu.com
 100 http://nl.archive.ubuntu.com/ubuntu/ wily-backports/universe i386 Packages
     release v=15.10,o=Ubuntu,a=wily-backports,n=wily,l=Ubuntu,c=universe
     origin nl.archive.ubuntu.com
 100 http://nl.archive.ubuntu.com/ubuntu/ wily-backports/restricted i386 Packages
     release v=15.10,o=Ubuntu,a=wily-backports,n=wily,l=Ubuntu,c=restricted
     origin nl.archive.ubuntu.com
 100 http://nl.archive.ubuntu.com/ubuntu/ wily-backports/main i386 Packages
     release v=15.10,o=Ubuntu,a=wily-backports,n=wily,l=Ubuntu,c=main
     origin nl.archive.ubuntu.com
 100 http://nl.archive.ubuntu.com/ubuntu/ wily-backports/multiverse amd64 Packages
     release v=15.10,o=Ubuntu,a=wily-backports,n=wily,l=Ubuntu,c=multiverse
     origin nl.archive.ubuntu.com
 100 http://nl.archive.ubuntu.com/ubuntu/ wily-backports/universe amd64 Packages
     release v=15.10,o=Ubuntu,a=wily-backports,n=wily,l=Ubuntu,c=universe
     origin nl.archive.ubuntu.com
 100 http://nl.archive.ubuntu.com/ubuntu/ wily-backports/restricted amd64 Packages
     release v=15.10,o=Ubuntu,a=wily-backports,n=wily,l=Ubuntu,c=restricted
     origin nl.archive.ubuntu.com
 100 http://nl.archive.ubuntu.com/ubuntu/ wily-backports/main amd64 Packages
     release v=15.10,o=Ubuntu,a=wily-backports,n=wily,l=Ubuntu,c=main
     origin nl.archive.ubuntu.com
 500 http://nl.archive.ubuntu.com/ubuntu/ wily-updates/universe Translation-en
 500 http://nl.archive.ubuntu.com/ubuntu/ wily-updates/restricted Translation-en
 500 http://nl.archive.ubuntu.com/ubuntu/ wily-updates/multiverse Translation-en
 500 http://nl.archive.ubuntu.com/ubuntu/ wily-updates/main Translation-en
 500 http://nl.archive.ubuntu.com/ubuntu/ wily-updates/multiverse i386 Packages
     release v=15.10,o=Ubuntu,a=wily-updates,n=wily,l=Ubuntu,c=multiverse
     origin nl.archive.ubuntu.com
 500 http://nl.archive.ubuntu.com/ubuntu/ wily-updates/universe i386 Packages
     release v=15.10,o=Ubuntu,a=wily-updates,n=wily,l=Ubuntu,c=universe
     origin nl.archive.ubuntu.com
 500 http://nl.archive.ubuntu.com/ubuntu/ wily-updates/restricted i386 Packages
     release v=15.10,o=Ubuntu,a=wily-updates,n=wily,l=Ubuntu,c=restricted
     origin nl.archive.ubuntu.com
 500 http://nl.archive.ubuntu.com/ubuntu/ wily-updates/main i386 Packages
     release v=15.10,o=Ubuntu,a=wily-updates,n=wily,l=Ubuntu,c=main
     origin nl.archive.ubuntu.com
 500 http://nl.archive.ubuntu.com/ubuntu/ wily-updates/multiverse amd64 Packages
     release v=15.10,o=Ubuntu,a=wily-updates,n=wily,l=Ubuntu,c=multiverse
     origin nl.archive.ubuntu.com
 500 http://nl.archive.ubuntu.com/ubuntu/ wily-updates/universe amd64 Packages
     release v=15.10,o=Ubuntu,a=wily-updates,n=wily,l=Ubuntu,c=universe
     origin nl.archive.ubuntu.com
 500 http://nl.archive.ubuntu.com/ubuntu/ wily-updates/restricted amd64 Packages
     release v=15.10,o=Ubuntu,a=wily-updates,n=wily,l=Ubuntu,c=restricted
     origin nl.archive.ubuntu.com
 500 http://nl.archive.ubuntu.com/ubuntu/ wily-updates/main amd64 Packages
     release v=15.10,o=Ubuntu,a=wily-updates,n=wily,l=Ubuntu,c=main
     origin nl.archive.ubuntu.com
 500 http://nl.archive.ubuntu.com/ubuntu/ wily/universe Translation-en
 500 http://nl.archive.ubuntu.com/ubuntu/ wily/restricted Translation-en
 500 http://nl.archive.ubuntu.com/ubuntu/ wily/multiverse Translation-en
 500 http://nl.archive.ubuntu.com/ubuntu/ wily/main Translation-en
 500 http://nl.archive.ubuntu.com/ubuntu/ wily/multiverse i386 Packages
     release v=15.10,o=Ubuntu,a=wily,n=wily,l=Ubuntu,c=multiverse
     origin nl.archive.ubuntu.com
 500 http://nl.archive.ubuntu.com/ubuntu/ wily/universe i386 Packages
     release v=15.10,o=Ubuntu,a=wily,n=wily,l=Ubuntu,c=universe
     origin nl.archive.ubuntu.com
 500 http://nl.archive.ubuntu.com/ubuntu/ wily/restricted i386 Packages
     release v=15.10,o=Ubuntu,a=wily,n=wily,l=Ubuntu,c=restricted
     origin nl.archive.ubuntu.com
 500 http://nl.archive.ubuntu.com/ubuntu/ wily/main i386 Packages
     release v=15.10,o=Ubuntu,a=wily,n=wily,l=Ubuntu,c=main
     origin nl.archive.ubuntu.com
 500 http://nl.archive.ubuntu.com/ubuntu/ wily/multiverse amd64 Packages
     release v=15.10,o=Ubuntu,a=wily,n=wily,l=Ubuntu,c=multiverse
     origin nl.archive.ubuntu.com
 500 http://nl.archive.ubuntu.com/ubuntu/ wily/universe amd64 Packages
     release v=15.10,o=Ubuntu,a=wily,n=wily,l=Ubuntu,c=universe
     origin nl.archive.ubuntu.com
 500 http://nl.archive.ubuntu.com/ubuntu/ wily/restricted amd64 Packages
     release v=15.10,o=Ubuntu,a=wily,n=wily,l=Ubuntu,c=restricted
     origin nl.archive.ubuntu.com
 500 http://nl.archive.ubuntu.com/ubuntu/ wily/main amd64 Packages
     release v=15.10,o=Ubuntu,a=wily,n=wily,l=Ubuntu,c=main
     origin nl.archive.ubuntu.com
Pinned packages:

 

I also did an apt-get update && apt-get upgrade and I did get an update to emby-server but the problem is still here.

 

Thanks for all the work you have put in so far though!

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...